<template>
  <div>
    <div style="margin-top: 20px; margin-left: auto; margin-right:auto; margin-bottom: 0; width: 90%">
    <q-btn  style="margin-top:30px" color="orange" icon="arrow_back" label="Kembali" />
    </div>
    <div class="q-pa-md" style="width: 90%; background: #4caf50; color: white; margin-top: 50px; margin-left: auto; margin-right: auto; box-shadow: 0 0 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <h6 style="margin: 0">Tambah Produk</h6>
    </div>

    <div class="q-pa-md" style="width: 90%; padding: 0; margin: auto; margin-top: 0; box-shadow: 0 0 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <h6 style="margin-left: 50px; margin-top: 0; margin-bottom: 10px">Gambar Produk</h6>
        <div class="row" style="margin-left: 35px">
          <q-uploader
            url="http://localhost:4444/upload"
            color="teal"
            flat
            bordered
            style="max-width: 18%; margin-left: 15px; margin-bottom: 10px"
          />
          <q-uploader
            url="http://localhost:4444/upload"
            color="teal"
            flat
            bordered
            style="max-width: 18%; margin-left: 15px; margin-bottom: 10px"
          />
          <q-uploader
            url="http://localhost:4444/upload"
            color="teal"
            flat
            bordered
            style="max-width: 18%; margin-left: 15px; margin-bottom: 10px"
          />
          <q-uploader
            url="http://localhost:4444/upload"
            color="teal"
            flat
            bordered
            style="max-width: 18%; margin-left: 15px; margin-bottom: 10px"
          />
          <q-uploader
            url="http://localhost:4444/upload"
            color="teal"
            flat
            bordered
            style="max-width: 18%; margin-left: 15px; margin-bottom: 10px"
          />
          <div class="col-md-8" style="margin-top: 30px; margin-left:15px">
            <p style="font-size: 12px; margin-bottom: 5px">Format gambar yang diijinkan adalah jpg, jpeg & png.</p>
            <p style="font-size: 12px; margin-top: 5px; margin-bottom: 5px" >Maksimal Gambar yang dapat diupload adalah 5.</p>
            <p style="font-size: 12px; margin-top: 5px" >Maksimal Ukuran Gambar adalah 1,5 mb</p>
          </div>
        </div>
        <p>&nbsp;</p>
      </div>
    </div>


    <div class="q-pa-md" style="width: 90%; padding: 0; margin: auto; margin-top: 0; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <h6 style="margin-left: 50px; margin-top: 0; margin-bottom: 10px">Informasi Produk / Jasa</h6>
        <div style="margin-left: 50px; width: 80%">
          <q-select v-model="asd" :options="optionsJN" style="width: 60%" standout="bg-green text-white" label="Jenis" hint="Jenis Produk Menentukan dimana produk anda akan ditampilkan dan diklarifikasi." />
          <q-select style="width: 60%; margin-top: 30px" standout="bg-green text-white" label="Kategori" hint="Pilih salah satu kategori yang anda masukan ketika membuat provider." />
        </div>
        <p>&nbsp;</p>
      </div>
    </div>





        <div v-if="asd == 'LOWONGAN KERJA'" class="q-pa-md" style="width: 90%; padding: 0; margin: auto; margin-top: 0px; box-shadow: 0 0 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <div style="margin-left: 50px; width: 80%">
          <q-input style="width: 60%" standout="bg-green text-white" label="Nama Lowongan" hint="Masukan nama lowongan yang akan anda buka maksimal 100 karakter"/>
          <q-input style="margin-top: 30px" standout="bg-green text-white" label="Deskripsi Lowongan" type="textarea" hint="Masukan detail informasi terkait lowongan yang akan dipublish, seperti syarat pendidikan dll."/>
          <p style="margin-bottom: 0; margin-top: 30px">Tawaran Gaji</p>
      <div class="row">
        <input type="checkbox" id="" name="cc" />
        <label for="" style="color: orange; margin-left: 5px; font-size: 12px; margin-top: 0"><span></span> Gunakan Rentang</label>
      </div>
      <div class="row">
        <q-input style="padding-right: 5px" class="col-6" standout="bg-green text-white" label="Harga Jasa" hint="Masukan tawaran gaji pada lowongan tersebut"/>
        <q-select style="padding-right: 5px" class="col-6" standout="bg-green text-white" label="Pilih Satuan" hint="."/>
      </div>
        </div>
        <p>&nbsp;</p>
      </div>
    </div>



 <div v-if="asd == 'JASA'" class="q-pa-md" style="width: 90%; padding: 0; margin: auto; margin-top: 0px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <div style="margin-left: 50px; width: 80%">
          <q-input style="width: 60%" standout="bg-green text-white" label="Nama Jasa" hint="Masukan nama Jasa yang akan ditampilkan maksimal 100 karakter"/>
          <q-input style="margin-top: 30px" standout="bg-green text-white" label="Deskripsi Jasa" type="textarea" hint="Masukan detail informasi terkait jasa yang akan ditawarkan"/>
          <p style="margin-bottom: 0px; margin-top: 30px">Harga Jasa</p>
      <div class="row">
        <input type="checkbox" id="c1" name="cc" />
        <label for="c1" style="color: orange; margin-left: 5px; font-size: 12px; margin-top: 0px"><span></span> Gunakan Rentang</label>
      </div>
      <div class="row">
        <q-input style="padding-right: 5px" class="col-6" standout="bg-green text-white" label="Harga Jasa" hint="Masukan harga jasa dalam mata uang rupiah"/>
        <q-select style="padding-right: 5px" class="col-6" standout="bg-green text-white" label="Pilih Satuan" hint="."/>
      </div>
      <p style="margin-top:15px; margin-right:5px; margin-bottom:1px; font-size:16px; color: #858585"> Upload Ijazah</p>
       <q-uploader
            url="http://localhost:4444/upload"
            color="teal"
            flat
            bordered
            style="max-width: 18%"
          />
          <div class="row">
            <p style="font-size: 12px; color: #858585; margin-left:10px">Ijazah Terakhir</p>
            <p style="font-size: 12px; margin-left: 5px; color: orange">Format File pdf, jpg, png, jpeg ukuran file maksimal 5mb</p>
          </div>
        </div>
        <p>&nbsp;</p>
      </div>
    </div>

    <div v-if="asd == 'JASA'" class="q-pa-md" style="width: 90%; padding: 0; margin: auto; margin-top: 0px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <h6 style="margin-left: 50px; margin-top: 0px; margin-bottom: 10px">Informasi Sartifikat</h6>
        <div style="margin-left: 50px; width: 80%">
          <q-input style="width: 60%" standout="bg-green text-white" label="Nama Sertifikat" hint="Nama sertifikat yang pernah diperoleh"/>
          <q-input style="width: 60%; margin-top: 30px" standout="bg-green text-white" label="Nomor Sertifikat" hint="No sertifikat yang pernah diperoleh"/>
          <q-input style="width: 60%; margin-top: 30px" standout="bg-green text-white" label="Intansi Pemberi" hint="Nama intansi yang mengeluarkan sertifikat"/>
          <div style="margin-top: 30px" >
            <p style="margin-top:15px; margin-right:5px; margin-bottom:1px; font-size:16px; color: #858585">Tanggal Dikeluarkan</p>
          <q-input style="width: 30%" standout="bg-green text-white" filled type="date" hint="Tanggal sertifikat dikeluarkan " />
          </div>
          <p style="margin-top:15px; margin-right:5px; margin-bottom:1px; font-size:16px; color: #858585"> Upload File Sertifikat</p>
       <q-uploader
            url="http://localhost:4444/upload"
            color="teal"
            flat
            bordered
            style="max-width: 18%"
          />
          <div class="row">
            <p style="font-size: 12px; color: #858585; margin-left:10px">File Sertifikat</p>
            <p style="font-size: 12px; margin-left: 5px; color: orange">Format File pdf, jpg, png, jpeg ukuran file maksimal 5mb</p>
          </div>
          <q-btn  @click="filterDiv2 = true" color="green" text-color="white" style=" margin-left: 30px; background-color: darkgray;" icon="add"  v-if="!filterDiv2" />
          <q-btn  @click="filterDiv2 = false" color="red" text-color="white" style=" margin-left: 30px; background-color: darkgray;" icon="remove" v-if="filterDiv2" />
        </div>
        <p>&nbsp;</p>
      </div>
    </div>

    <div v-if="filterDiv2" class="q-pa-md" style="width: 90%; padding: 0; margin: auto; margin-top: 0px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <h6 style="margin-left: 50px; margin-top: 0px; margin-bottom: 10px">Informasi Sartifikat</h6>
        <div style="margin-left: 50px; width: 80%">
          <q-input style="width: 60%" standout="bg-green text-white" label="Nama Sertifikat" hint="Nama sertifikat yang pernah diperoleh"/>
          <q-input style="width: 60%; margin-top: 30px" standout="bg-green text-white" label="Nomor Sertifikat" hint="No sertifikat yang pernah diperoleh"/>
          <q-input style="width: 60%; margin-top: 30px" standout="bg-green text-white" label="Intansi Pemberi" hint="Nama intansi yang mengeluarkan sertifikat"/>
          <div style="margin-top: 30px" >
            <p style="margin-top:15px; margin-right:5px; margin-bottom:1px; font-size:16px; color: #858585">Tanggal Dikeluarkan</p>
          <q-input style="width: 30%" standout="bg-green text-white" filled type="date" hint="Tanggal sertifikat dikeluarkan " />
          </div>
          <p style="margin-top:15px; margin-right:5px; margin-bottom:1px; font-size:16px; color: #858585"> Upload File Sertifikat</p>
       <q-uploader
            standout="bg-green text-white"
            url="http://localhost:4444/upload"
            color="teal"
            flat
            bordered
            style="max-width: 18%"
          />
          <div class="row">
            <p style="font-size: 12px; color: #858585; margin-left:10px">File Sertifikat</p>
            <p style="font-size: 12px; margin-left: 5px; color: orange">Format File pdf, jpg, png, jpeg ukuran file maksimal 5mb</p>
          </div>
        </div>
        <p>&nbsp;</p>
      </div>
    </div>







    <div v-if="asd == 'JASA'" class="q-pa-md" style="width: 90%; padding: 0; margin: auto; margin-top: 0px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <h6 style="margin-left: 50px; margin-top: 0px; margin-bottom: 10px">Informasi Portfolio</h6>
        <div style="margin-left: 50px; width: 80%">
          <q-input style="width: 60%" standout="bg-green text-white" label="Nama Proyek" hint="Nama proyek yang pernah anda kerjakan"/>
          <q-input style="width: 60%; margin-top: 30px" standout="bg-green text-white" label="Nama Perusahaan" hint="Nama Perusahaan / nama pemberi proyek"/>
          <q-input style="width: 60%; margin-top: 30px" standout="bg-green text-white" label="Jabatan" hint="Jabatan anda saat menjalankan proyek tsb."/>
          <div class="row" style=" margin-top: 30px">
          <q-input style="padding-right: 5px" class="col-6" standout="bg-green text-white" label="Tahun Awal" hint="Rentan tahun pekerjaan proyek"/>
          <q-input style="padding-right: 5px" class="col-6" standout="bg-green text-white" label="Tahun Akhir" hint="."/>
          </div>
          <q-input style="width: 60%; margin-top: 30px; margin-bottom: 30px" standout="bg-green text-white" label="Kota Proyek" hint="Kota Proyek Tsb dikerjakan"/>
          <q-btn  @click="filterDiv1 = true" color="green" text-color="white" style=" margin-left: 30px; background-color: darkgray;" icon="add"  v-if="!filterDiv1" />
          <q-btn  @click="filterDiv1 = false" color="red" text-color="white" style=" margin-left: 30px; background-color: darkgray;" icon="remove" v-if="filterDiv1" />
        </div>
        <p>&nbsp;</p>
      </div>
    </div>

    <div v-if="filterDiv1" class="q-pa-md" style="width: 90%; padding: 0; margin: auto; margin-top: 0px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <h6 style="margin-left: 50px; margin-top: 0px; margin-bottom: 10px">Informasi Portfolio</h6>
        <div style="margin-left: 50px; width: 80%">
          <q-input style="width: 60%" standout="bg-green text-white" label="Nama Proyek" hint="Nama proyek yang pernah anda kerjakan"/>
          <q-input style="width: 60%; margin-top: 30px" standout="bg-green text-white" label="Nama Perusahaan" hint="Nama Perusahaan / nama pemberi proyek"/>
          <q-input style="width: 60%; margin-top: 30px" standout="bg-green text-white" label="Jabatan" hint="Jabatan anda saat menjalankan proyek tsb."/>
          <div class="row" style=" margin-top: 30px">
          <q-input style="padding-right: 5px" class="col-6" standout="bg-green text-white" label="Tahun Awal" hint="Rentan tahun pekerjaan proyek"/>
          <q-input style="padding-right: 5px" class="col-6" standout="bg-green text-white" label="Tahun Akhir" hint="."/>
          </div>
          <q-input style="width: 60%; margin-top: 30px" standout="bg-green text-white" label="Kota Proyek" hint="Kota Proyek Tsb dikerjakan"/>
        </div>
        <p>&nbsp;</p>
      </div>
    </div>






    <div v-if="asd == 'JASA'" class="q-pa-md" style="width: 90%; padding: 0; margin: auto; margin-top: 0px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <h6 style="margin-left: 50px; margin-top: 0px; margin-bottom: 10px">Informasi Referensi</h6>
        <div style="margin-left: 50px; width: 80%">
          <q-input style="width: 60%" standout="bg-green text-white" label="Nama Perusahaan" hint="Nama perusahaan / nama pemberi referensi"/>
          <p style="margin-top:15px; margin-right:5px; margin-bottom:1px; font-size:16px; color: #858585"> Upload File Referensi</p>
       <q-uploader
            url="http://localhost:4444/upload"
            color="teal"
            flat
            bordered
            style="max-width: 18%"
          />
          <div style="margin-left:10px">
            <p style="font-size: 12px; color: #858585; margin-bottom:3px">Surat Rekomendasi dari perusahaan sebelumnya</p>
            <p style="font-size: 12px; color: orange">Format File pdf, jpg, png, jpeg ukuran file maksimal 5mb</p>
          </div>
          <q-btn  @click="filterDiv = true" color="green" text-color="white" style=" margin-left: 30px; background-color: darkgray;" icon="add"  v-if="!filterDiv" />
          <q-btn  @click="filterDiv = false" color="red" text-color="white" style=" margin-left: 30px; background-color: darkgray;" icon="remove" v-if="filterDiv" />
        </div>
        <p>&nbsp;</p>
      </div>
    </div>

    <div v-if="filterDiv" class="q-pa-md" style="width: 90%; padding: 0; margin: auto; margin-top: 0px; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <h6 style="margin-left: 50px; margin-top: 0px; margin-bottom: 10px">Informasi Referensi</h6>
        <div style="margin-left: 50px; width: 80%">
          <q-input style="width: 60%" standout="bg-green text-white" label="Nama Perusahaan" hint="Nama perusahaan / nama pemberi referensi"/>
          <p style="margin-top:15px; margin-right:5px; margin-bottom:1px; font-size:16px; color: #858585"> Upload File Referensi</p>
       <q-uploader
            url="http://localhost:4444/upload"
            color="teal"
            flat
            bordered
            style="max-width: 18%"
          />
          <div style="margin-left:10px">
            <p style="font-size: 12px; color: #858585; margin-bottom:3px">Surat Rekomendasi dari perusahaan sebelumnya</p>
            <p style="font-size: 12px; color: orange">Format File pdf, jpg, png, jpeg ukuran file maksimal 5mb</p>
          </div>
        </div>
        <p>&nbsp;</p>
      </div>
    </div>


    <div style="margin-top: 20px; margin-left: auto; margin-right:auto; margin-bottom: 50px; width: 90%" class="row">
      <q-btn  label="Simpan Produk" type="submit" color="blue"/>
      <q-btn  style="margin-left: 10px" label="Simpan Sebagai Draft" type="submit" color="orange"/>
    </div>
    <p>&nbsp;</p>
  </div>
</template>

<script>

export default {
  name: "Tambah Produk",


  data () {
    return {
      filterDiv2: false,
      filterDiv1: false,
      filterDiv: false,
      tab: 'biodata',
      asd: null,
      accept: false,
      gproduk: true,
      model: null,
      optionsJN: ["JASA", "LOWONGAN KERJA"],
    }
  },

  methods: {
    gantiDataDiv() {
      if (this.dataDiv == true) {
        this.dataDiv = false
      } else {
        this.dataDiv = true
      }
    },





    onSubmit () {
      if (this.accept !== true) {
        this.$q.notify({
          color: 'red-5',
          textColor: 'white',
          icon: 'warning',
          message: 'You need to accept the license and terms first'
        })
      }
      else {
        this.$q.notify({
          color: 'green-4',
          textColor: 'white',
          icon: 'cloud_done',
          message: 'Submitted'
        })
      }
    },

    onReset () {
      this.name = null
      this.age = null
      this.accept = false
    }
  }
}

</script>

<style scoped>

</style>
